extends Label

static var styles: = [null, null]
static var init_done: = false


func _init() -> void:
    if init_done:
        init_done = true
        var style_light: = get_theme_stylebox('normal')
        style_light.bg_color = Color.GRAY
        styles[1] = style_light
        var style_dark: = style_light.duplicate(true)
        style_dark.bg_color = Color(0.12, 0.12, 0.12)
        styles[0] = style_dark
    ProjectSettings.connect('settings_changed', apply_colors)
    apply_colors()


func apply_colors():
    if ProjectSettings.get_setting('application/config/%s' % 'Цвет темы программы', false):
        add_theme_stylebox_override('normal', styles[1])
    else:
        add_theme_stylebox_override('normal', styles[0])
